Jump to content
Mx1co

Localhost-server mit Plotsquared multiverse und spigot?

Recommended Posts

Hallo,
Ich möchte einen Localserver mir aufsetzen. Wie das geht weis ich, das wird auch nicht meine Frage sein. Ich hatte vor die Serversoftware Spigot zu nutzen, sowie Multiverse in Verbindung mit PlotSquared. Ich möchte diesen Localserver auf dem Stand der 1.8.8 haben.
Mein Problem ist, dass PlotSquared nicht richtig funkioniert. Ich kann keine Plot befehle eingeben bzw. diese werden nicht erkannt. Ich gehe davon aus, dass ich die falschen Versionen von PS und Mv nutze. Kann mir jemand sagen, wo ich diese zwei .jar datein runterladen kann, dass es mit der Version 1.8.8 /1.8.7 /1.8.9 funktioniert ?
MfG

Share this post


Link to post
Share on other sites

Habe es mal selbst getestet - über Befehle Ingame konnte ich kein Plot erstellen, über die Console ging es.

Jedoch bin ich nicht auf dieser Welt gespawnt - hatte sie in der server.properties als main eingetragen und konnte auch auf der Plotwelt joinen - die wird jedoch nicht als Plotworld erkannt - wenn ich /p claim eingebe, kommt die Meldung, dass ich nicht in einem Plot wäre 🤔

Die Downloadseite gibt selbst an, dass PlotSquared für die Versionen ab der 1.13 entwickelt/getestet wurde - gerade das Update von der 1.12.2 auf die 1.13 hat bei Minecraft die Technik und das ID-System verändert - gut möglich, dass das Plugin einfach nicht mehr für die älteren Versionen funktioniert.

 

Der Vorgänger von PlotSquared ist ja PlotMe und wurde auch bis zur 1.12.2 entwickelt - damit scheint es zu funktionieren:

https://www.spigotmc.org/resources/plotme-official.2131/

Die jar-Dateien einfach mit der PlotSquared.jar austauschen - die DynmapPlot.jar kannst du erstmal löschen - die sorgt nur für Fehlermeldungen 🙄

Für Plotme brauchst du MultiverseCore:

https://dev.bukkit.org/projects/multiverse-core/files/912081

Da die 1.9 nehmen - neuere Versionen werfen ebenfalls Fehler wegen den neuen Mobs/Items.

 

Wenn der Server fehlerfrei mit den Plugins gestartet ist, prüfen, ob du im OP-Modus bist und Ingame folgendes eingeben:

/mv create <mapname> normal -g PlotMe-DefaultGenerator

Kurz warten, bis die Welt erstellt ist und mit

/mv tp <mapname>

hinporten. Dann sollte auch alles klappen - zumindest hatte ich keine Probleme bei den paar Sachen, die ich getestet hatte 😄

  • Thanks 1

Share this post


Link to post
Share on other sites

Danke dir erstmal für deine lange Antwort ! Ich habe nun aus dem Plugins ordner  PlotSquared entfernt und beide PlotMe dateien hinzugefügt . Auserdem habe ich die alte mv.jar entfernt und deine neue eingefügt. Außerdem habe ich den Command von dir eingegeben. Jedoch kommt leider im Chat die Nachricht "FAILED". Es wird jedoch ein ordner mit dem Namen der gewünschten Plotworld erstellt. Irgendwas mache ich anscheinend falsch....
Spigot benutze ich auf der Version 1.8.8. 

Share this post


Link to post
Share on other sites

Schau mal, ob in der Console mehr dazu steht.

Mit der 1.8.8-Spigot hatte ich es auch getestet 🤔

Schau mal in den Plugins-Ordner

Da sollte sein:

  • Multiverse-Core-2.5-b717.jar
  • PlotMe-Core.jar
  • PlotMe-DefaultGenerator.jar

In der server.properties, prüfe mal, ob weiterhin "world" als Hauptwelt eingetragen ist

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...
B